com.avaya.ccs.api.enums

## Enum Command

- java.lang.Object
- - java.lang.Enum<Command>
  - - com.avaya.ccs.api.enums.Command

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Command>

      public enum Command
      extends java.lang.Enum<Command>

  The `Command` enum represents the name of the commands (also known as commands or operations) that can be invoked on the Contact Control Service SDK interface objects.

  As an example the `Login` command matches to the `UserI.login(java.lang.String, java.lang.String)` operation. If `UserI.login(java.lang.String, java.lang.String)` was not successful, a `NotificationType.ERROR` notification event for the failure would have an `ErrorI` object and `ErrorI.getCommand()` would return `Login`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AddAgentNote` Command that matches with the `InteractionI.addAgentNote(java.lang.String)` operation.
    `AddAttachments` Command that matches with the `EmailMediaI.linkOutboundAttachments(com.avaya.ccs.core.OutboundAttachment[])` operation.
    `AddToDNC` Command that matches with the `InteractionI.addToDNC()` operation.
    `AfterCallWork` Command that matches with the `UserI.afterCallWork(java.lang.String)` operation.
    `AgentNotes` Command that matches with the `InteractionI.getAgentNotes()` operation.
    `Answer` Command that matches with the `InteractionI.answer()` operation.
    `BargeIn` Command that matches with the `MonitoredInteractionI.bargeIn()` operation.
    `CallSupervisor` Command that matches with the `ResourceI.callSupervisor()` operation.
    `ChangeConferenceOwner` Command that matches with the `InteractionI.changeConferenceOwner()` operation.
    `ClearNotification` Command that matches with the `UserI.clearNotification()` operation.
    `Coach`
    `CompleteConference` Command that matches with the `InteractionI.completeConference()` operation.
    `CompleteTransfer` Command that matches with the `InteractionI.completeTransfer()` operation.
    `Consult` Command that matches with the `InteractionI.consult(java.lang.String)` operation.
    `ContactSearch` TODO add in future release @conroy1
    `Create` Command that matches with the `EmailMediaI.create(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.Integer, boolean)` operation.
    `CreateCallback` Command that matches with the `InteractionI.createCallback(com.avaya.ccs.api.DestinationI, com.avaya.ccs.api.ContactNumberI, java.lang.String, java.lang.String, java.lang.String)` operations.
    `EmailReschedule` Reschedule email
    `EmailReview`
    `Emergency` Command that matches with the `InteractionI.emergency()` operation.
    `End` Command that matches with the `InteractionI.end()` operation.
    `EndConference` Command that matches with the `InteractionI.endConference()` operation.
    `EndConsult` Command that matches with the `InteractionI.endConsult()` operation.
    `ExtendWrapup` Command that matches with the `InteractionI.extendWrapup()` operation.
    `ForceLogout` Command that matches with the `MonitoredUserI.forceLogout()` operation.
    `ForceNotReady` Command that matches with the `MonitoredUserI.forceNotReady()` operation.
    `ForceReady` Command that matches with the `MonitoredUserI.forceReady()` operation.
    `GetActivityCodes` Command that matches with the `InteractionI.getActivityCodes()` operation.
    `GetAutoPhrases` Command that matches with the `InteractionI.requestAutoPhrases()` operation.
    `GetCallbackDestinations` Command that matches with the `InteractionI.getCallbackDestinations(com.avaya.ccs.api.enums.DestinationType)` operation.
    `GetConfiguration` Commands for internal SDK use only
    `GetConsultDestinations` Command that matches with the `InteractionI.getConsultDestinations(com.avaya.ccs.api.enums.DestinationType)` operation.
    `GetConsultDestinationTypes` Command that retrieves the available `DestinationType`s for Consult and Transfer
    `GetCustomerDetails` This command is used internally by the API.
    `GetCustomerHistory` Command that retrieves the available `CustomerHistory`'s for Consult and Transfer
    `GetCustomerInteractionMedia` Command that retrieves the available `InteractionI#getCustomerInteractionMedia`.
    `GetCustomFields` Command that matches with the `InteractionI.getCustomFields()` operation.
    `GetDispositionCodes` Command that matches with the `InteractionI.requestDispositionCodes()` operation.
    `GetOffsiteSettings` Command that matches with the `UserI.getOffsiteSettings()` operation.
    `GetPagePushUrls` Command that matches with the `InteractionI.requestPagePushUrls()` operation.
    `GetScreenPops` Command that matches with the `InteractionI#requestScreenPops` operation.
    `GetSkillsets` Command that matches with the `InteractionI.getSkillsets()` operation.
    `GetSuggestedResponses` Command that matches with the `EmailMediaI.requestSuggestedResponses()` operation.
    `Hold` Command that matches with the `InteractionI.hold()` operation.
    `InitiateConference` Command that matches with the `InteractionI.initiateConference(java.lang.String)` operation.
    `InitiateConferenceToDestination` Command that matches with the `InteractionI.initiateConferenceToDestination(com.avaya.ccs.api.DestinationI)` operation.
    `InitiateTransfer` Command that matches with the `InteractionI.initiateTransfer(java.lang.String)` operation.
    `InitiateTransferToDestination` Command that matches with the `InteractionI.initiateTransferToDestination(com.avaya.ccs.api.DestinationI)` operation.
    `IsTyping` Command that matches with the `WebChatMediaI.sendIsTypingRequest()` operation.
    `JoinConference` Command that matches with the `InteractionI.joinConference(com.avaya.ccs.api.InteractionI)` operation.
    `Login` Command that matches with the `UserI.login(java.lang.String, java.lang.String)` operation.
    `LoginOffsite` Command that matches with the `UserI.loginOffsite(java.lang.String, java.lang.String)` operation.
    `Logout` Command that matches with the `UserI.logout()` operation.
    `MonitorAgents` Command that matches with the `UserI.monitorUsers(com.avaya.ccs.api.MonitoredUserListenerI)` operation.
    `NewMessage` Command that matches with the `WebChatMediaI.sendMessage(java.lang.String, boolean)` operation.
    `NotReady` Command that matches with the `UserI.notReady(java.lang.String)` operation.
    `Observe` Command that matches with the `MonitoredInteractionI.observe()` operation.
    `ObserveDn` Command that matches with the `InteractionI.canObserveDn()` operation.
    `OpenMedia` Command that matches with the `InteractionI.openMedia()` operation.
    `Originate` Command that matches with the `ResourceI.originateVoiceCall(java.lang.String, com.avaya.ccs.api.enums.ContactType)` operation.
    `OriginateEmail` Command that matches with the `UserI.initiateAdhocEmail()` operation.
    `PagePush`
    `PlayDTMF` Command that matches with the `InteractionI.playDTMF(java.lang.String)` operation.
    `PreviewCancel` Command that matches with the `InteractionI.previewCancel()` operation.
    `PreviewDial` Command that matches with the `InteractionI.previewDial(com.avaya.ccs.api.ContactNumberI)` operation.
    `PreviewDialFreeForm` Command that matches with the `InteractionI.previewDialFreeForm(java.lang.String)` operation.
    `Pull` Command that matches with the `UserI.retrieve(java.lang.String)` operation.
    `Ready` Command that matches with the `UserI.ready()` operation.
    `RecoverOffsite` Command that matches with the `UserI.recoverOffsite()` operation.
    `Redial` Command that matches with the `InteractionI.redial(com.avaya.ccs.api.ContactNumberI)` operation.
    `RefreshAgentNotes` Command that matches with the `InteractionI.refreshAgentNotes()` operation.
    `RemoveData` Command that matches with the `InteractionI.removeData()` operation.
    `RemoveIntrinsic` Command that matches with the `InteractionI.removeIntrinsic(java.lang.String)` operation.
    `Reply` Command that matches with the `EmailMediaI.reply(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean)` operation.
    `RequestID`
    `SetActivityCode` Command that matches with the `InteractionI.setActivityCode(java.lang.String)` operation.
    `SetData` Command that matches with the `InteractionI.setData(com.avaya.ccs.api.DataI)` operation.
    `SetIntrinsic` Command that matches with the `InteractionI.setIntrinsic(java.lang.String, java.lang.String)` operation.
    `SetLanguage` Command that matches with the `UserI.setLanguage(java.lang.String)` operation.
    `SetUUI` Command that matches with the `InteractionI.setUUI(java.lang.String)` operation.
    `SignIn` Command that matches with the `ClientI.signin(java.lang.String, java.lang.String, com.avaya.ccs.api.SessionListenerI, com.avaya.ccs.api.ClientListenerI)` operation.
    `TransferToDestination` Command that matches with the `InteractionI.transferToDestination(com.avaya.ccs.api.DestinationI)` operation.
    `Unhold` Command that matches with the `InteractionI.unhold()` operation.
    `Unknown`
    `UnmonitorAgents` Command that matches with the `UserI.unmonitorUsers()` operation.
    `UpdateClosedReasonCode` Command that matches with the `InteractionI.updateClosedReasonCode(java.lang.String)` operation.
    `UpdateCustomerAddress` Command that matches with the `InteractionI.updateCustomerAddress(com.avaya.ccs.api.PostalAddressListEntryI)` operation.
    `UpdateCustomerEmail` Command that matches with the `InteractionI.updateCustomerEmail(com.avaya.ccs.api.EmailListEntryI)` operation.
    `UpdateCustomerName` Command that matches with the `InteractionI.updateCustomerName(java.lang.String, java.lang.String, java.lang.String)` operation.
    `UpdateCustomerPhone` Command that matches with the `InteractionI.updateCustomerPhone(com.avaya.ccs.api.PhoneListEntryI)` operation.
    `Whisper` Command that matches with the `MonitoredInteractionI.whisper()` operation.
    `Wrapup` Command that matches with the `InteractionI.wrapup()` operation.
    `WrapupWithCode` Command that matches with the `InteractionI.wrapupWithCode(com.avaya.ccs.api.ContactCenterCodeI)` operation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SignIn

          public static final Command SignIn

      Command that matches with the `ClientI.signin(java.lang.String, java.lang.String, com.avaya.ccs.api.SessionListenerI, com.avaya.ccs.api.ClientListenerI)` operation.

    - #### Login

          public static final Command Login

      Command that matches with the `UserI.login(java.lang.String, java.lang.String)` operation.

    - #### Logout

          public static final Command Logout

      Command that matches with the `UserI.logout()` operation.

    - #### Ready

          public static final Command Ready

      Command that matches with the `UserI.ready()` operation.

    - #### NotReady

          public static final Command NotReady

      Command that matches with the `UserI.notReady(java.lang.String)` operation.

    - #### LoginOffsite

          public static final Command LoginOffsite

      Command that matches with the `UserI.loginOffsite(java.lang.String, java.lang.String)` operation.

    - #### RecoverOffsite

          public static final Command RecoverOffsite

      Command that matches with the `UserI.recoverOffsite()` operation.

    - #### AfterCallWork

          public static final Command AfterCallWork

      Command that matches with the `UserI.afterCallWork(java.lang.String)` operation.

    - #### GetOffsiteSettings

          public static final Command GetOffsiteSettings

      Command that matches with the `UserI.getOffsiteSettings()` operation.

    - #### ClearNotification

          public static final Command ClearNotification

      Command that matches with the `UserI.clearNotification()` operation.

    - #### MonitorAgents

          public static final Command MonitorAgents

      Command that matches with the `UserI.monitorUsers(com.avaya.ccs.api.MonitoredUserListenerI)` operation.

    - #### UnmonitorAgents

          public static final Command UnmonitorAgents

      Command that matches with the `UserI.unmonitorUsers()` operation.

    - #### SetLanguage

          public static final Command SetLanguage

      Command that matches with the `UserI.setLanguage(java.lang.String)` operation.

    - #### ForceLogout

          public static final Command ForceLogout

      Command that matches with the `MonitoredUserI.forceLogout()` operation.

    - #### ForceReady

          public static final Command ForceReady

      Command that matches with the `MonitoredUserI.forceReady()` operation.

    - #### ForceNotReady

          public static final Command ForceNotReady

      Command that matches with the `MonitoredUserI.forceNotReady()` operation.

    - #### Originate

          public static final Command Originate

      Command that matches with the `ResourceI.originateVoiceCall(java.lang.String, com.avaya.ccs.api.enums.ContactType)` operation.

    - #### OriginateEmail

          public static final Command OriginateEmail

      Command that matches with the `UserI.initiateAdhocEmail()` operation.

    - #### CallSupervisor

          public static final Command CallSupervisor

      Command that matches with the `ResourceI.callSupervisor()` operation.

    - #### Answer

          public static final Command Answer

      Command that matches with the `InteractionI.answer()` operation.

    - #### Hold

          public static final Command Hold

      Command that matches with the `InteractionI.hold()` operation.

    - #### Unhold

          public static final Command Unhold

      Command that matches with the `InteractionI.unhold()` operation.

    - #### End

          public static final Command End

      Command that matches with the `InteractionI.end()` operation.

    - #### InitiateTransfer

          public static final Command InitiateTransfer

      Command that matches with the `InteractionI.initiateTransfer(java.lang.String)` operation.

    - #### InitiateConference

          public static final Command InitiateConference

      Command that matches with the `InteractionI.initiateConference(java.lang.String)` operation.

    - #### CompleteTransfer

          public static final Command CompleteTransfer

      Command that matches with the `InteractionI.completeTransfer()` operation.

    - #### CompleteConference

          public static final Command CompleteConference

      Command that matches with the `InteractionI.completeConference()` operation.

    - #### JoinConference

          public static final Command JoinConference

      Command that matches with the `InteractionI.joinConference(com.avaya.ccs.api.InteractionI)` operation.

    - #### PlayDTMF

          public static final Command PlayDTMF

      Command that matches with the `InteractionI.playDTMF(java.lang.String)` operation.

    - #### Emergency

          public static final Command Emergency

      Command that matches with the `InteractionI.emergency()` operation.

    - #### SetActivityCode

          public static final Command SetActivityCode

      Command that matches with the `InteractionI.setActivityCode(java.lang.String)` operation.

    - #### GetActivityCodes

          public static final Command GetActivityCodes

      Command that matches with the `InteractionI.getActivityCodes()` operation.

    - #### GetCustomFields

          public static final Command GetCustomFields

      Command that matches with the `InteractionI.getCustomFields()` operation.

    - #### SetIntrinsic

          public static final Command SetIntrinsic

      Command that matches with the `InteractionI.setIntrinsic(java.lang.String, java.lang.String)` operation.

    - #### RemoveIntrinsic

          public static final Command RemoveIntrinsic

      Command that matches with the `InteractionI.removeIntrinsic(java.lang.String)` operation.

    - #### SetUUI

          public static final Command SetUUI

      Command that matches with the `InteractionI.setUUI(java.lang.String)` operation.

    - #### SetData

          public static final Command SetData

      Command that matches with the `InteractionI.setData(com.avaya.ccs.api.DataI)` operation.

    - #### RemoveData

          public static final Command RemoveData

      Command that matches with the `InteractionI.removeData()` operation.

    - #### AddToDNC

          public static final Command AddToDNC

      Command that matches with the `InteractionI.addToDNC()` operation.

    - #### AddAgentNote

          public static final Command AddAgentNote

      Command that matches with the `InteractionI.addAgentNote(java.lang.String)` operation.

    - #### RefreshAgentNotes

          public static final Command RefreshAgentNotes

      Command that matches with the `InteractionI.refreshAgentNotes()` operation.

    - #### AgentNotes

          public static final Command AgentNotes

      Command that matches with the `InteractionI.getAgentNotes()` operation.

    - #### PreviewDial

          public static final Command PreviewDial

      Command that matches with the `InteractionI.previewDial(com.avaya.ccs.api.ContactNumberI)` operation.

    - #### PreviewDialFreeForm

          public static final Command PreviewDialFreeForm

      Command that matches with the `InteractionI.previewDialFreeForm(java.lang.String)` operation.

    - #### PreviewCancel

          public static final Command PreviewCancel

      Command that matches with the `InteractionI.previewCancel()` operation.

    - #### Redial

          public static final Command Redial

      Command that matches with the `InteractionI.redial(com.avaya.ccs.api.ContactNumberI)` operation.

    - #### CreateCallback

          public static final Command CreateCallback

      Command that matches with the `InteractionI.createCallback(com.avaya.ccs.api.DestinationI, com.avaya.ccs.api.ContactNumberI, java.lang.String, java.lang.String, java.lang.String)` operations.

    - #### GetCallbackDestinations

          public static final Command GetCallbackDestinations

      Command that matches with the `InteractionI.getCallbackDestinations(com.avaya.ccs.api.enums.DestinationType)` operation.

    - #### GetConsultDestinationTypes

          public static final Command GetConsultDestinationTypes

      Command that retrieves the available `DestinationType`s for Consult and Transfer

    - #### GetConsultDestinations

          public static final Command GetConsultDestinations

      Command that matches with the `InteractionI.getConsultDestinations(com.avaya.ccs.api.enums.DestinationType)` operation.

    - #### GetSuggestedResponses

          public static final Command GetSuggestedResponses

      Command that matches with the `EmailMediaI.requestSuggestedResponses()` operation.

    - #### GetCustomerDetails

          public static final Command GetCustomerDetails

      This command is used internally by the API. It will not be visible and should not be used by applications.

    - #### GetCustomerHistory

          public static final Command GetCustomerHistory

      Command that retrieves the available `CustomerHistory`'s for Consult and Transfer

    - #### GetCustomerInteractionMedia

          public static final Command GetCustomerInteractionMedia

      Command that retrieves the available `InteractionI#getCustomerInteractionMedia`.

    - #### EmailReschedule

          public static final Command EmailReschedule

      Reschedule email

    - #### GetDispositionCodes

          public static final Command GetDispositionCodes

      Command that matches with the `InteractionI.requestDispositionCodes()` operation.

    - #### Wrapup

          public static final Command Wrapup

      Command that matches with the `InteractionI.wrapup()` operation.

    - #### WrapupWithCode

          public static final Command WrapupWithCode

      Command that matches with the `InteractionI.wrapupWithCode(com.avaya.ccs.api.ContactCenterCodeI)` operation.

    - #### ExtendWrapup

          public static final Command ExtendWrapup

      Command that matches with the `InteractionI.extendWrapup()` operation.

    - #### InitiateConferenceToDestination

          public static final Command InitiateConferenceToDestination

      Command that matches with the `InteractionI.initiateConferenceToDestination(com.avaya.ccs.api.DestinationI)` operation.

    - #### InitiateTransferToDestination

          public static final Command InitiateTransferToDestination

      Command that matches with the `InteractionI.initiateTransferToDestination(com.avaya.ccs.api.DestinationI)` operation.

    - #### TransferToDestination

          public static final Command TransferToDestination

      Command that matches with the `InteractionI.transferToDestination(com.avaya.ccs.api.DestinationI)` operation.

    - #### UpdateCustomerName

          public static final Command UpdateCustomerName

      Command that matches with the `InteractionI.updateCustomerName(java.lang.String, java.lang.String, java.lang.String)` operation.

    - #### UpdateCustomerEmail

          public static final Command UpdateCustomerEmail

      Command that matches with the `InteractionI.updateCustomerEmail(com.avaya.ccs.api.EmailListEntryI)` operation.

    - #### UpdateCustomerPhone

          public static final Command UpdateCustomerPhone

      Command that matches with the `InteractionI.updateCustomerPhone(com.avaya.ccs.api.PhoneListEntryI)` operation.

    - #### UpdateCustomerAddress

          public static final Command UpdateCustomerAddress

      Command that matches with the `InteractionI.updateCustomerAddress(com.avaya.ccs.api.PostalAddressListEntryI)` operation.

    - #### EndConference

          public static final Command EndConference

      Command that matches with the `InteractionI.endConference()` operation.

    - #### ChangeConferenceOwner

          public static final Command ChangeConferenceOwner

      Command that matches with the `InteractionI.changeConferenceOwner()` operation.

    - #### Observe

          public static final Command Observe

      Command that matches with the `MonitoredInteractionI.observe()` operation.

    - #### BargeIn

          public static final Command BargeIn

      Command that matches with the `MonitoredInteractionI.bargeIn()` operation.

    - #### Whisper

          public static final Command Whisper

      Command that matches with the `MonitoredInteractionI.whisper()` operation.

    - #### OpenMedia

          public static final Command OpenMedia

      Command that matches with the `InteractionI.openMedia()` operation.

    - #### Reply

          public static final Command Reply

      Command that matches with the `EmailMediaI.reply(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean)` operation.

    - #### AddAttachments

          public static final Command AddAttachments

      Command that matches with the `EmailMediaI.linkOutboundAttachments(com.avaya.ccs.core.OutboundAttachment[])` operation.

    - #### UpdateClosedReasonCode

          public static final Command UpdateClosedReasonCode

      Command that matches with the `InteractionI.updateClosedReasonCode(java.lang.String)` operation.

    - #### ContactSearch

          public static final Command ContactSearch

      TODO add in future release @conroy1

    - #### Pull

          public static final Command Pull

      Command that matches with the `UserI.retrieve(java.lang.String)` operation.

    - #### Create

          public static final Command Create

      Command that matches with the `EmailMediaI.create(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.Integer, boolean)` operation.

    - #### GetSkillsets

          public static final Command GetSkillsets

      Command that matches with the `InteractionI.getSkillsets()` operation.

    - #### NewMessage

          public static final Command NewMessage

      Command that matches with the `WebChatMediaI.sendMessage(java.lang.String, boolean)` operation.

    - #### IsTyping

          public static final Command IsTyping

      Command that matches with the `WebChatMediaI.sendIsTypingRequest()` operation.

    - #### PagePush

          public static final Command PagePush

    - #### Consult

          public static final Command Consult

      Command that matches with the `InteractionI.consult(java.lang.String)` operation.

    - #### GetAutoPhrases

          public static final Command GetAutoPhrases

      Command that matches with the `InteractionI.requestAutoPhrases()` operation.

    - #### GetPagePushUrls

          public static final Command GetPagePushUrls

      Command that matches with the `InteractionI.requestPagePushUrls()` operation.

    - #### GetScreenPops

          public static final Command GetScreenPops

      Command that matches with the `InteractionI#requestScreenPops` operation.

    - #### EndConsult

          public static final Command EndConsult

      Command that matches with the `InteractionI.endConsult()` operation.

    - #### ObserveDn

          public static final Command ObserveDn

      Command that matches with the `InteractionI.canObserveDn()` operation.

    - #### Unknown

          public static final Command Unknown

    - #### GetConfiguration

          public static final Command GetConfiguration

      Commands for internal SDK use only

    - #### RequestID

          public static final Command RequestID

    - #### Coach

          public static final Command Coach

    - #### EmailReview

          public static final Command EmailReview

  - ### Method Detail

    - #### values

          public static Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command c : Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null